IMAGEN(1)

NAME
image - Translate LaTeX documents to GIF images.

SYNOPSIS
imagen <base>

DESCRIPTION
This manual page documents briefly the imagen command. This manual page was written for the Debian GNU/Linux distribution because the original program does not have a manual page.

imagen is a simple shell script that translates a LaTeX document into many images. Please consult the hevea manual for explanation how to use imagen in conjunction with hevea.

OPTIONS
A summary of options are included below.

-png
    Produce images in the png format. This is the default.

-gif
    Produce images in gif format instead of png.

-pnm
    Produce images in pnm format instead of png.

-mag nnnn,
    Change the enlarging ratio that is applied while translating DVI into Postscript. More precisely, dvips is run with -xnnnn option. Default value for this ration is 1414, this means that, by default, imagen magnifies LaTeX output by a factor of 1.414.

-t arg
    Pass option -t arg to dvips. For instance, using -t a3 may help when images are truncated on the right.

-pdf
    Have imagen call pdflatex instead of latex

-extra command,
    Insert command as an additional stage in imagen ppm to png/gif production chain. command is a Unix filter that expects a ppm image in its standard input and outputs a ppm image on its standard output. A sensible choice for command is one command from the netpbm package or several such commands piped together.

-quant number
    Add an extra color quantization step in imagen ppm image production chain, where number is the maximal number of colors in the produced images. This option may be needed in response of a failure in the image production chain. It can also help in limiting image files size.

SEE ALSO
hevea(1), latex(1), gs(1), dvips(1), ppmtopng(1), ppmtogif(1)

The HeVeA documentation can be found on the HeVeA home page http://hevea.inria.fr. On a Debian system it can also be accessed at /usr/share/doc/hevea-doc/html, provided the package hevea-doc (from the non-free section) is installed.

AUTHOR
Imagen is part of HeVeA, written by Luc Maranget <Luc.Maranget@inria.fr>.

This manual page was compiled by Ralf Treinen <treinen@debian.org> from the HeVeA documentation for the Debian GNU/Linux system (but may be used by others).